# Makefile.in generated by automake 1.6.3 from Makefile.am.
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@
SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@

EXEEXT = @EXEEXT@
OBJEXT = @OBJEXT@
PATH_SEPARATOR = @PATH_SEPARATOR@
AMTAR = @AMTAR@
AS = @AS@
AWK = @AWK@
CC = @CC@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
MAINT = @MAINT@
OBJDUMP = @OBJDUMP@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
STRIP = @STRIP@
VERSION = @VERSION@
WCM_ARCH = @WCM_ARCH@
WCM_DEPFLAGS = @WCM_DEPFLAGS@
WCM_EXPMODULES = @WCM_EXPMODULES@
WCM_EXPPROGS = @WCM_EXPPROGS@
WCM_KERNELDIR = @WCM_KERNELDIR@
WCM_KERNEL_VER = @WCM_KERNEL_VER@
WCM_LIBS = @WCM_LIBS@
WCM_LIBWACOMCFG_LIBS = @WCM_LIBWACOMCFG_LIBS@
WCM_LIBWACOMCFG_VER = @WCM_LIBWACOMCFG_VER@
WCM_LINUXWACOMDIR = @WCM_LINUXWACOMDIR@
WCM_LINUX_INPUT = @WCM_LINUX_INPUT@
WCM_MODULES = @WCM_MODULES@
WCM_MODVER = @WCM_MODVER@
WCM_NO_MERGE_CONSTANTS = @WCM_NO_MERGE_CONSTANTS@
WCM_PROGS = @WCM_PROGS@
WCM_TCLLIBS = @WCM_TCLLIBS@
WCM_TCLPKGS = @WCM_TCLPKGS@
WCM_WACOMXI_BINDIR = @WCM_WACOMXI_BINDIR@
WCM_WACOMXI_LIBDIR = @WCM_WACOMXI_LIBDIR@
WCM_WACOMXI_LIBS = @WCM_WACOMXI_LIBS@
WCM_XF86DIR = @WCM_XF86DIR@
WCM_XF86MODULES = @WCM_XF86MODULES@
WCM_XF86PROGS = @WCM_XF86PROGS@
WCM_XIDUMP_LIBS = @WCM_XIDUMP_LIBS@
WCM_XLIBDIR = @WCM_XLIBDIR@
WCM_XORGSDK = @WCM_XORGSDK@
WCM_XSETWACOM_LIBS = @WCM_XSETWACOM_LIBS@
am__include = @am__include@
am__quote = @am__quote@
gtk12config = @gtk12config@
install_sh = @install_sh@
pkgconfig = @pkgconfig@
AM_CFLAGS = -Wall

# WacomXI Install
@WACOMXI_INSTALL_TRUE@tcllibdir = @WCM_WACOMXI_LIBDIR@/TkXInput
@WACOMXI_INSTALL_TRUE@tcllib_HEADERS = pkgIndex.tcl
@WACOMXI_INSTALL_TRUE@tcllib_LTLIBRARIES = libwacomxi.la
@WACOMXI_INSTALL_TRUE@cpldir = @WCM_WACOMXI_BINDIR@
@WACOMXI_INSTALL_TRUE@cpl_SCRIPTS = wacomcpl wacomcpl-exec

EXTRA_DIST = wacomcpl-exec

# Source dependencies
libwacomxi_la_SOURCES = wacomxi.c wacomxi.h
libwacomxi_la_LDFLAGS = -no-undefined
libwacomxi_la_LIBADD = @WCM_WACOMXI_LIBS@
subdir = src/wacomxi
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = wacomcpl
LTLIBRARIES = $(tcllib_LTLIBRARIES)

libwacomxi_la_DEPENDENCIES =
am_libwacomxi_la_OBJECTS = wacomxi.lo
libwacomxi_la_OBJECTS = $(am_libwacomxi_la_OBJECTS)
SCRIPTS = $(cpl_SCRIPTS)


DEFS = @DEFS@
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/wacomxi.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = @CFLAGS@
DIST_SOURCES = $(libwacomxi_la_SOURCES)
HEADERS = $(tcllib_HEADERS)

DIST_COMMON = $(tcllib_HEADERS) Makefile.am Makefile.in wacomcpl.in
SOURCES = $(libwacomxi_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/wacomxi/Makefile
Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
wacomcpl: $(top_builddir)/config.status wacomcpl.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
tcllibLTLIBRARIES_INSTALL = $(INSTALL)
install-tcllibLTLIBRARIES: $(tcllib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(tcllibdir)
	@list='$(tcllib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(tcllibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(tcllibdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(tcllibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(tcllibdir)/$$f; \
	  else :; fi; \
	done

uninstall-tcllibLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(tcllib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(tcllibdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(tcllibdir)/$$p; \
	done

clean-tcllibLTLIBRARIES:
	-test -z "$(tcllib_LTLIBRARIES)" || rm -f $(tcllib_LTLIBRARIES)
	@list='$(tcllib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test -z "$dir" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libwacomxi.la: $(libwacomxi_la_OBJECTS) $(libwacomxi_la_DEPENDENCIES) 
	$(LINK) -rpath $(tcllibdir) $(libwacomxi_la_LDFLAGS) $(libwacomxi_la_OBJECTS) $(libwacomxi_la_LIBADD) $(LIBS)
cplSCRIPT_INSTALL = $(INSTALL_SCRIPT)
install-cplSCRIPTS: $(cpl_SCRIPTS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(cpldir)
	@list='$(cpl_SCRIPTS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f $$d$$p; then \
	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	    echo " $(cplSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(cpldir)/$$f"; \
	    $(cplSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(cpldir)/$$f; \
	  else :; fi; \
	done

uninstall-cplSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(cpl_SCRIPTS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	  echo " rm -f $(DESTDIR)$(cpldir)/$$f"; \
	  rm -f $(DESTDIR)$(cpldir)/$$f; \
	done

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wacomxi.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
CCDEPMODE = @CCDEPMODE@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tcllibHEADERS_INSTALL = $(INSTALL_HEADER)
install-tcllibHEADERS: $(tcllib_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(tcllibdir)
	@list='$(tcllib_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(tcllibHEADERS_INSTALL) $$d$$p $(DESTDIR)$(tcllibdir)/$$f"; \
	  $(tcllibHEADERS_INSTALL) $$d$$p $(DESTDIR)$(tcllibdir)/$$f; \
	done

uninstall-tcllibHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(tcllib_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(tcllibdir)/$$f"; \
	  rm -f $(DESTDIR)$(tcllibdir)/$$f; \
	done

ETAGS = etags
ETAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES) $(SCRIPTS) $(HEADERS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(tcllibdir) $(DESTDIR)$(cpldir) $(DESTDIR)$(tcllibdir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-tcllibLTLIBRARIES \
	mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-cplSCRIPTS install-tcllibHEADERS \
	install-tcllibLTLIBRARIES

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-cplSCRIPTS uninstall-info-am \
	uninstall-tcllibHEADERS uninstall-tcllibLTLIBRARIES

.PHONY: GTAGS all all-am check check-am clean clean-generic \
	clean-libtool clean-tcllibLTLIBRARIES distclean \
	distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am info \
	info-am install install-am install-cplSCRIPTS install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-man install-strip install-tcllibHEADERS \
	install-tcllibLTLIBRARIES installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool tags uninstall uninstall-am \
	uninstall-cplSCRIPTS uninstall-info-am uninstall-tcllibHEADERS \
	uninstall-tcllibLTLIBRARIES

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
